Net::DNS::RR::L64(3)

NAME
Net::DNS::RR::L64 - DNS L64 resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name IN L64 preference locator64');

    $rr = new Net::DNS::RR(
        name       => 'example.com',
        type       => 'L64',
        preference => 10,
        locator64  => '2001:0DB8:1140:1000'
        );

DESCRIPTION
Class for DNS 64-bit Locator (L64) resource records.

The L64 resource record is used to hold 64-bit Locator values for ILNPv6-capable nodes.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  preference
    $preference = $rr->preference;
    $rr->preference( $preference );

A 16 bit unsigned integer in network byte order that indicates the relative preference for this L64 record among other L64 records associated with this owner name. Lower values are preferred over higher values.

  locator64
    $locator64 = $rr->locator64;

The Locator64 field is an unsigned 64-bit integer in network byte order that has the same syntax and semantics as a 64-bit IPv6 routing prefix.

COPYRIGHT
Copyright (c)2012 Dick Franks.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC6742